<VirtualHost *:443>
    ServerName snowmaid.com
    ServerAlias www.snowmaid.com
    ServerAdmin webmaster@localhost

    DocumentRoot /opt/www/snowmaid/web

    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

    RequestHeader set X-Forwarded-Proto "https"
    Header append Vary Host

    # Reverse Proxy for Solr
    ProxyRequests Off
    ProxyPreserveHost On

    <Proxy *>
        Require all granted
    </Proxy>

    ProxyPass /solr http://localhost:8983/solr
    ProxyPassReverse /solr http://localhost:8983/solr

    <Directory /opt/www/snowmaid/web>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted

        # Custom Redirects
        RewriteEngine On
        RewriteRule ^/inventory$ https://dangercactus.com/inventory [R=301,L]
        RewriteRule ^/inventory/(.*)$ https://dangercactus.com/inventory/$1 [R=301,L]
        RewriteRule ^/catalog$ https://dangercactus.com/catalog [R=301,L]
        RewriteRule ^/catalog/(.*)$ https://dangercactus.com/catalog/$1 [R=301,L]
    </Directory>

    Alias /garden-club /opt/www/garden-club/piwigo
    <Directory /opt/www/garden-club/piwigo>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted
    </Directory>

    Include /etc/letsencrypt/options-ssl-apache.conf
    SSLCertificateFile /etc/letsencrypt/live/dangercactus.com/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/dangercactus.com/privkey.pem
</VirtualHost>